;;;=============================================================================;
;; ACAD.MLN  ̸ ε 
;;;=============================================================================;
;(LoadMln "ACAD.MLN")
 

;;;=============================================================================;
;;; ý  
;;;=============================================================================;
;; AutoCAD 2015 (Release 20.0)(DWG 2015)
;; AutoCAD 2014 (Release 19.1)(DWG 2013)
;; AutoCAD 2013 (Release 19.0)(DWG 2013)
;; AutoCAD 2012 (Release 18.2)
;; AutoCAD 2011 (Release 18.1)
;; AutoCAD 2010 (Release 18.0)(DWG 2010)
;; AutoCAD 2009 (Release 17.2)
;; AutoCAD 2008 (Release 17.1)
;; AutoCAD 2007 (Release 17.0)(DWG 2007)
;; AutoCAD 2006 (Release 16.2)
;; AutoCAD 2005 (Release 16.1)
;; AutoCAD 2004 (Release 16.0)(DWG 2004)
;; AutoCAD 2002 (Release 15.2)
;; AutoCAD 2000i (Release 15.1)
;; AutoCAD 2000 (Release 15.0)(DWG 2000)
;; AutoCAD Release 14 (DWG r14)


(defun Acad64Bit-version ()
  (vl-load-com)
  (> (strlen (vl-prin1-to-string (vlax-get-acad-object))) 40)
)
;;;-----------------------------------------------------------------------------;

;; acad 2014 ~  idwgtab  ϱ  ü   
(if (>= (atof (substr (getvar "ACADVER")1 4)) 19.1) (vl-cmdf "_.FileTabClose"))

;;iDwgTab ε

;; acad 2000/2000i/2002
  (if (= (substr (getvar "ACADVER")1 2) "15") (arxload "iDwgTab2000.arx"))

;; acad 2004/2005/2006
  (if (= (substr (getvar "ACADVER")1 2) "16") (arxload "iDwgTab2004.arx"))

;; acad 2007
  (if (= (substr (getvar "ACADVER")1 4) "17.0")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2007x.arx")
      (arxload "iDwgTab2007.arx")
    )
  )

;; acad 2008
  (if (= (substr (getvar "ACADVER")1 4) "17.1")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2008x.arx")
      (arxload "iDwgTab2007.arx")
    )
  )

;; acad 2009
  (if (= (substr (getvar "ACADVER")1 4) "17.2")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2007x.arx")
      (arxload "iDwgTab2007.arx")
    )
  )

;; acad 2010/2011/2012
  (if (= (substr (getvar "ACADVER")1 2) "18")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2010x.arx")
      (arxload "iDwgTab2010.arx")
    )
  )

;; acad 2013/2014
  (if (= (substr (getvar "ACADVER")1 2) "19")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2013x.arx")
      (arxload "iDwgTab2013.arx")
    )
  )

;; acad 2015
  (if (= (substr (getvar "ACADVER")1 2) "20")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2015x.arx")
      (arxload "iDwgTab2015.arx")
    )
  )

;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ƼνŸ ̸ εϱ   ԰ 
;;;=============================================================================;
(defun xiset_use_block ( block / )
 (setvar "CMDECHO" 0)
 (vl-cmdf "_.-insert" (strcat block ".dwg") "0,0" "" "" "")
 (entdel (entlast))
 (XI:PurgeBlock block)
 (setvar "CMDECHO" 1)
)
;;;=============================================================================;
;; ġ   [ style name = dim_n ] ;   
;;;=============================================================================;
;|
(defun dm:ndim (/ dm_dts, dm_dbk, dm_dsa)

  (setvar "cmdecho" 0)

	(command "-insert" "_xidot" "0,0" "" "" "")
	(entdel (entlast))

    (setvar "DIMBLK" "_xidot")  ;; ġ
;	   (setvar "DIMBLK1" "_xidot")  ;; ġ
;  	 (setvar "DIMBLK2" "_xidot")  ;; ġ
  	(setvar "DIMLDRBLK" "dot")  ;; ü

    (setvar "DIMALT" 0)
    (setvar "DIMASZ" 0.9)    ;; ȭ ũ              (⺻ : 0.9)

    (setvar "DIMCEN" 5)    ;; center ǥũ            (⺻ : 5)
    (setvar "DIMCLRD" 4)    ;; ġ                 (⺻ : CYAN)
    (setvar "DIMCLRE" 4)    ;; ġ             (⺻ : CYAN)
    (setvar "DIMCLRT" 3)    ;; ġ               (⺻ : GREEN)

    (setvar "DIMDEC" 0)    ;; Ҽ ڸ              (⺻ : 0)
    (setvar "DIMDLE" 0)    ;; ġ  ġ 
    (setvar "DIMDLI" 8)    ;; ġ             (⺻ : 8)

    (setvar "DIMEXE" 1.2)    ;; ġ ʸӷ        (⺻ : 1.2)
    (setvar "DIMEXO" 3)    ;;  ݶ (⺻ : 3)

    (setvar "DIMFIT" 1)    ;; ġ    ( : 0 - 5)
    (setvar "DIMGAP" 0.8)    ;; ġ ڿ      (⺻ : 1)
    (setvar "DIMLIM" 0)    ;; DIMTOL Բ Ͽ  ǥ(⺻ : 0)
    (setvar "DIMRND" 0.25)    ;; ݿø 
    (setvar "DIMSAH" 0)    ;; и ȭǥ            (⺻ : )


    (setvar "DIMSE1" 0)    ;; ù° ġ      (⺻ : 0)
    (setvar "DIMSE2" 0)    ;; ι° ġ      (⺻ : 0)

    (setvar "DIMTAD" 1)    ;; ڸ ġ  (⺻ : 1)
    (setvar "DIMTOH" 0)    ;; ڸ ġ ϰ   (⺻ : 0)
    (setvar "DIMTOL" 0)    ;; DIMLIM Բ Ͽ  ǥ(⺻ : 0)
    (setvar "DIMTSZ" 0)    ;; ũ
    (setvar "DIMTIH" 0)    ;; 弱  ڴ (⺻ : )
    (setvar "DIMTIX" 1)    ;; 弱 ο ڳ     (⺻ : ѱ)
    (setvar "DIMTOFL" 1)    ;; ġ η  о ֱ (⺻ : ѱ)
  	(setvar "DIMTMOVE" 2)     ;; ġڸ  ̱ ϵ (⺻ : 2)
    (setvar "DIMTXT" 2.0)       ;; ġ ũ            (尪 : 2.0)

    (setvar "DIMUNIT" 8)    ;; ޸ ֱ        (⺻ : 8 /޸ֱ : 7)

   (if	(not (stysearch "standard"))
 	 (styleset "standard")
   )
	 (setvar "DIMTXSTY" "standard")
	 (command "_dim1" "_save" "standard")
;   (_xiPurgeB "_xidot")
)
|;
;;;-----------------------------------------------------------------------------;


;;;-----------------------------------------------------------------------------;
;;;  ½  Ʈ 
;;;-----------------------------------------------------------------------------;
(setvar "cmdecho" 0)
(vl-cmdf "_.-scalelistedit" "_r" "_y" "_e")
(princ)
(setvar "cmdecho" 1)

;;;-----------------------------------------------------------------------------;

;;;=============================================================================;
;;  Ÿ ̸  
;;;=============================================================================;

(setvar "CMDECHO" 0)
  (if	(= (stysearch "xitd") nil)
   	(styleset "xitd")
  )
  (if	(= (stysearch "xits") nil)
   	(styleset "xits")
  )
  (if	(= (stysearch "sim") nil)
   	(styleset "sim")
  )
  (if	(= (stysearch "title") nil)
   	(styleset "title")
  )
  (if	(= (stysearch "Standard") nil)
   	(styleset "Standard")
  )
(setvar "CMDECHO" 1)

;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ½ ̾ ͸ ϱ 
;;;=============================================================================;
  (c:LayerFiltersDelete)
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ܺ ̾⿡ ϱ  ͸ ̸ 
;;;=============================================================================;
  (MakeLayerFilter "Xref_off" "~*|*")
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; CEN, Hidden, Dim ̾ Ÿ  
;;;=============================================================================;
(defun makebaselayer(/ l_h)
(setvar "cmdecho" 0)
    (foreach item
       '(
            ("H" "hidden" 4 1 "㼱") ; Ѹ   ¿ 
            ("CEN" "center" 1 1 "߽ɼ")
            ("DIMLD" "Continuous" 4 1 "")
            ("HAT" "Continuous" 9 1 "")
            ("DIM" "Continuous" 4 1 "")
        )
        (apply 'XI:MakeLayer item)
    )

(setvar "cmdecho" 1)
(princ)
)
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ⺻ ũ⸦ ltscale Ͽ 
;;;=============================================================================;
(setvar "textsize" (* (getvar "ltscale") 2.0))
;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;;; ɾ࿡  ̾ ڵ ǵ.. 
;;; ۵ Ű DON,  DOFF  ;;;;
;;;=============================================================================;
(defun cmdlayerset ()
(setq *LayerDirector-LayerData*
'(
;;    ɾԷ           ɾ ̾
;;    COMMAND              LAYER NAME      ;;
;;    ("[DM]TEXT,TEXT"    "TEXT"      )  ;; ڰ ɾ TEXT ̾ Է
      ("DIM*"             "DIM")         ;; ġ DIM ̾ Է
      ("*LEADER"          "DIMLD")       ;; ü DIMLD  Է
      ("*HATCH"           "HAT")         ;; ġ HAT  Է
      ("*VPORT*"          "DEFPOINTS" )
)
)
(princ)
)

;;; ɾ  ;;;
(MakeBaseLayer)
(CmdLayerSet)
(c:don)

;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;;  μƮؼ mleader, layer, table style, font style    ....
;;;=============================================================================;
(xiset_use_block "mleader_sam")
;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;; xiAutoPlot  ġ(̰)   ٴ λ 
;;;=============================================================================;
(setq xiNewLayoutHeadName "LO_")
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ڵۼ ѿ  ں 
;; 2015-02-24
;;;=============================================================================;
;;; ׸
(setq xi_DoorFrmLay "DOOR")   ;;;  
(setq xi_DoorFrmCol 4)        ;;; 
(setq xi_DoorSilLay "DOORSIL");;;  
(setq xi_DoorSilCol 6)        ;;;  

;;; â׸
(setq xi_WinBarLay "WINBAR") ;;; âȣ 
(setq xi_WinBarCol 4)        ;;; âȣ
(setq xi_WinEleLay "WINELE") ;;; âȣԸ 
(setq xi_WinEleCol 6)        ;;; âȣԸ
(setq xi_WinGlsLay "WINGLS") ;;; âȣ 
(setq xi_WinGlsCol 6)        ;;; âȣ
(setq xi_WinSilLay "WINSIL") ;;; â 
(setq xi_WinSilCol 4)        ;;; â
;;;-----------------------------------------------------------------------------;


;;;-----------------------------------------------------------------------------;

(princ)
